%define major	0
%define libname %mklibname gnomebt %{major}

Name: 	 	gnome-bluetooth
Summary: 	GNOME Bluetooth Subsystem
Version: 	0.8.0
Release: %mkrel 4

Source:		http://ftp.gnome.org/pub/GNOME/sources/gnome-bluetooth/%{name}-%{version}.tar.bz2
Source1: 	%{name}48.png
Source2: 	%{name}32.png
Source3: 	%{name}16.png
Patch1:		gnome-bluetooth-0.7.0-transparency.patch
URL:		http://usefulinc.com/software/gnome-bluetooth/
License:	GPL
Group:		Graphical desktop/GNOME
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	gettext
BuildRequires:	libbtctl-devel >= 0.8
BuildRequires:	openobex-devel
BuildRequires:	libglade2.0-devel libgnomeui2-devel libGConf2-devel
BuildRequires:	bluez-devel bluez-sdp-devel gob2 librsvg-devel
BuildRequires:  perl-XML-Parser
BuildRequires:  pygtk2.0-devel
BuildRequires:  desktop-file-utils
Requires:	pygtk2.0-libglade
Requires:	gnome-python gnome-python-gnomevfs python-libbtctl
Provides:	gnome-obex-server

%description
The GNOME Bluetooth Subsystem contains a Bonobo server to control Bluetooth
devices, and a simple GUI to explore which devices are available
(gnome-bluetooth-admin).

%package -n %libname
Group:		System/Libraries
Summary: 	GNOME bluetooth library

%description -n %libname
Library from GNOME-Bluetooth.

%package -n %libname-devel
Group:		Development/C
Summary:	Static libraries and header files from %name
Provides:	%name-devel = %version-%release
Provides:	libgnomebt-devel = %version-%release
Requires:	%libname = %version
Requires:	libbtctl-devel >= 0.6

%description -n %libname-devel
Static libraries and header files from %name

%prep
%setup -q
%patch1 -p1 -b .transparency

#needed by patch0
autoconf

%build
%configure2_5x --enable-shared --enable-static
%make
										
%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std
mv $RPM_BUILD_ROOT%_datadir/pixmaps/* $RPM_BUILD_ROOT%_datadir/%name/pixmaps/

#menu
mkdir -p $RPM_BUILD_ROOT%{_menudir}
cat << EOF > $RPM_BUILD_ROOT%{_menudir}/%{name}
?package(%{name}): command="gnome-obex-server" \
icon="%{name}.png" \
xdg="true" \
needs="x11" \
title="Bluetooth Server" \
longtitle="Listen for incoming files" \
section="More Applications/Communications"
?package(%{name}): command="gnome-obex-send" \
icon="%{name}.png" \
needs="x11" \
title="Bluetooth Send" \
longtitle="Send files over Bluetooth" \
section="More Applications/Communications" \
xdg="true"
EOF

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --add-category="GTK" \
  --add-category="GNOME" \
  --add-category="X-MandrivaLinux-MoreApplications-Communications" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications $RPM_BUILD_ROOT%{_datadir}/applications/*

sed -i -e 's/blueradio-48/gnome-bluetooth/g'  $RPM_BUILD_ROOT%{_datadir}/applications/gnome-obex-server.desktop

#icons
mkdir -p $RPM_BUILD_ROOT/%_liconsdir
cat %SOURCE1 > $RPM_BUILD_ROOT/%_liconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_iconsdir
cat %SOURCE2 > $RPM_BUILD_ROOT/%_iconsdir/%name.png
mkdir -p $RPM_BUILD_ROOT/%_miconsdir
cat %SOURCE3 > $RPM_BUILD_ROOT/%_miconsdir/%name.png

mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnome/autostart/
cp  $RPM_BUILD_ROOT%{_datadir}/applications/gnome-obex-server.desktop $RPM_BUILD_ROOT%{_datadir}/gnome/autostart/

%find_lang %name

rm -f %buildroot%py_platsitedir/gnomebt/*a

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%define schemas gnome-obex-server
%post
%{update_menus}
%post_install_gconf_schemas %{schemas}

%preun
%preun_uninstall_gconf_schemas %{schemas}
		
%postun
%clean_menus

%files -f %{name}.lang
%defattr(-,root,root)
%doc README AUTHORS ChangeLog
%_sysconfdir/gconf/schemas/gnome-obex-server.schemas
%{_bindir}/gnome-obex-*
%dir %{_libdir}/python*/site-packages/gnomebt
%py_platsitedir/gnomebt
%{_datadir}/%name
%{_datadir}/applications/*.desktop
%{_datadir}/gnome/autostart/*.desktop
%{_menudir}/%name
%{_liconsdir}/%name.png
%{_iconsdir}/%name.png
%{_miconsdir}/%name.png

%files -n %libname
%defattr(-,root,root)
%{_libdir}/*.so.*

%files -n %{libname}-devel
%defattr(-,root,root)
%{_includedir}/%name
%{_libdir}/*.a
%attr(644,root,root)%{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc


%changelog
* Tue Feb 20 2007 Frederic Crozat <fcrozat@mandriva.com> 0.8.0-4mdv2007.0
+ Revision: 123116
-Use GNOME autostart feature
-Fix menu location
-Fix icon in menu

* Thu Nov 30 2006 Götz Waschk <waschk@mandriva.org> 0.8.0-3mdv2007.1
+ Revision: 89290
- rebuild

* Tue Oct 24 2006 Götz Waschk <waschk@mandriva.org> 0.8.0-2mdv2007.1
+ Revision: 72246
- rebuild for new libbtctl

* Fri Oct 13 2006 Götz Waschk <waschk@mandriva.org> 0.8.0-1mdv2007.1
+ Revision: 64507
- Import gnome-bluetooth



* Fri Oct 13 2006 Götz Waschk <waschk@mandriva.org> 0.8.0-1mdv2007.1
- unpack patch
- update file list
- bump deps
- drop patches 0,2
- New version 0.8.0

* Thu Aug 24 2006 Götz Waschk <waschk@mandriva.org> 0.7.0-7mdv2007.0
- fix provides

* Wed Aug 02 2006 Frederic Crozat <fcrozat@mandriva.com> 0.7.0-6mdv2007.0
- Rebuild with latest dbus
- fix xdg menu
- use macros

* Mon May 15 2006 Frederic Crozat <fcrozat@mandriva.com> 0.7.0-5mdk
- Patch1: fix tray icon transparency
- migrate menu to XDG

* Wed Mar 15 2006 Götz Waschk <waschk@mandriva.org> 0.7.0-4mdk
- fix devel deps

* Fri Feb 10 2006 Götz Waschk <waschk@mandriva.org> 0.7.0-3mdk
- patch for new openobex
- use mkrel

* Wed Jan 11 2006 Pascal Terjan <pterjan@mandriva.org> 0.7.0-2mdk
- fix bug 20578

* Thu Nov 24 2005 Götz Waschk <waschk@mandriva.org> 0.7.0-1mdk
- update file list
- bump deps
- drop patches
- New release 0.7.0

* Mon Sep 05 2005 Frederic Crozat <fcrozat@mandriva.com> 0.6.0-3mdk 
- Patch2 (CVS): fix crash

* Mon Aug 29 2005 Austin Acton <austin@mandriva.org> 0.6.0-2mdk
- requires gnome-python-gnomevfs (bug 15656)

* Wed Aug 17 2005 Götz Waschk <waschk@mandriva.org> 0.6.0-1mdk
- add gconf schema and registration
- drop old file
- bump deps
- drop patch 0
- new version

* Mon Jan 31 2005 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.5.1-15mdk
- fix lib64 patch

* Wed Jan 05 2005 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.1-14mdk 
- Rebuild with latest howl

* Sun Dec 05 2004 Michael Scherer <misc@mandrake.org> 0.5.1-13mdk
- Rebuild for new python

* Mon Oct 18 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 0.5.1-12mdk
- lib64 fixes (aka pythondir path)

* Fri Oct 01 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.1-11mdk
- Fix Buildrequires again

* Wed Sep 29 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.1-10mdk
- Fix buildrequires

* Sun Sep 12 2004 Austin Acton <austin@mandrake.org> 0.5.1-9mdk
- add send dialog to menu

* Fri Aug 20 2004 Austin Acton <austin@mandrake.org> 0.5.1-8mdk
- new menu

* Tue Aug 03 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.1-7mdk
- Add xinit file for GNOME desktop

* Wed Jul 28 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.5.1-6mdk
- Patch0 : fix crash with gcc 3.4

* Mon Jul 19 2004 Austin Acton <austin@mandrake.org> 0.5.1-5mdk
- rebuild for new bluez

* Fri Jul 16 2004 Austin Acton <austin@mandrake.org> 0.5.1-4mdk
- requires gnome-python
- move bonobo plugin to main package
- add icon for server
- better group and menu location

* Sat Jun 19 2004 Austin Acton <austin@mandrake.org> 0.5.1-3mdk
- requires pygtk2.0-libglade

* Sat Jun 19 2004 Austin Acton <austin@mandrake.org> 0.5.1-2mdk
- move python .so to main package

* Sat Jun 19 2004 Austin Acton <austin@mandrake.org> 0.5.1-1mdk
- 0.5.1

* Sat Jun 12 2004 Austin Acton <austin@mandrake.org> 0.5-1mdk
- 0.5
- configure 2.5
- libify

* Fri Feb 20 2004 David Baudens <baudens@mandrakesoft.com> 0.4.1-4mdk
- Fix menu

* Sun Dec 14 2003 Austin Acton <austin@linux.ca> 0.4.1-3mdk
- rebuild for openobex
- clean up buildrequries

* Tue Aug 5 2003 Austin Acton <aacton@yorku.ca> 0.4.1-2mdk
- rebuild for new libcroco

* Sun Jun 8 2003 Austin Acton <aacton@yorku.ca> 0.4.1-1mdk
- 0.4.1 (from James Gregory <james@james.id.au>)
- fix buildrequires

* Sun Apr 27 2003 Austin Acton <aacton@yorku.ca> 0.4-1mdk
- initial package
